Package org.apache.ignite.internal.management.cache.scan

## Class DefaultCacheScanTaskFormat

- java.lang.Object
- - org.apache.ignite.internal.management.cache.scan.DefaultCacheScanTaskFormat

All Implemented Interfaces:
  `CacheScanTaskFormat`

    public class DefaultCacheScanTaskFormat
    extends Object
    implements CacheScanTaskFormat

Default cache scan task format.

### Field Summary

Fields
`static String` `KEY` Key title.
`static String` `VALUE` Value title.

### Constructor Summary

Constructors
`DefaultCacheScanTaskFormat()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `binaryToString​(BinaryObject obj)` Convert Binary object to string.
`String` `name()`
`List<?>` `row​(javax.cache.Cache.Entry<Object,​Object> e)` Row for single cache entry.
`List<String>` `titles​(javax.cache.Cache.Entry<Object,​Object> first)` Calculates and returns titles based on first cache entry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final String KEY

Key title.

See Also:
  Constant Field Values

#### VALUE

    public static final String VALUE

Value title.

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultCacheScanTaskFormat

    public DefaultCacheScanTaskFormat()

### Method Detail

#### name

    public String name()

Specified by:
  `name` in interface `CacheScanTaskFormat`
Returns:
  name of the format.
See Also:
  `CacheScanCommandArg`

#### titles

    public List<String> titles​(javax.cache.Cache.Entry<Object,​Object> first)

Calculates and returns titles based on first cache entry.

Specified by:
  `titles` in interface `CacheScanTaskFormat`
Returns:
  Column titles.

#### row

    public List<?> row​(javax.cache.Cache.Entry<Object,​Object> e)

Row for single cache entry.

Specified by:
  `row` in interface `CacheScanTaskFormat`

#### binaryToString

    public static String binaryToString​(BinaryObject obj)

Convert Binary object to string.

Parameters:
  `obj` - Binary object.
Returns:
  String representation of Binary object.